﻿using System;
using System.ComponentModel;
using System.Diagnostics;

namespace BarcodeGenerationExample.My
{
    internal static partial class MyProject
    {
        internal partial class MyForms
        {
            [EditorBrowsable(EditorBrowsableState.Never)]
            public FullTest m_FullTest;

            public FullTest FullTest
            {
                [DebuggerHidden]
                get
                {
                    m_FullTest = Create__Instance__(m_FullTest);
                    return m_FullTest;
                }

                [DebuggerHidden]
                set
                {
                    if (ReferenceEquals(value, m_FullTest))
                        return;
                    if (value is object)
                        throw new ArgumentException("Property can only be set to Nothing");
                    Dispose__Instance__(ref m_FullTest);
                }
            }

            [EditorBrowsable(EditorBrowsableState.Never)]
            public TabTest m_TabTest;

            public TabTest TabTest
            {
                [DebuggerHidden]
                get
                {
                    m_TabTest = Create__Instance__(m_TabTest);
                    return m_TabTest;
                }

                [DebuggerHidden]
                set
                {
                    if (ReferenceEquals(value, m_TabTest))
                        return;
                    if (value is object)
                        throw new ArgumentException("Property can only be set to Nothing");
                    Dispose__Instance__(ref m_TabTest);
                }
            }
        }
    }
}