﻿Imports System.IO

Public Class FullTest
    Public Sub New()

        InitializeComponent()
        cmbOutput.SelectedIndex = 1
        cbEncoding.SelectedIndex = 0
        txtQuietZone.Text = "1"
        cmbDotpMM.SelectedIndex = 2
    End Sub

    Private Sub button1_Click(sender As Object, e As EventArgs) Handles button1.Click
        TabTest.ShowDialog()
    End Sub

    Private Sub btnApply_Click(sender As Object, e As EventArgs) Handles btnApply.Click

        Dim dataToEncode As String = tbDatatoencode.Text
        Dim applyTilde As Boolean = ckApplyTilde.Checked
        Dim QuietZone As Integer = CInt(txtQuietZone.Text)
        Dim DotPM As Integer = CInt(cmbDotpMM.Text)

        Dim encodingMode As EncodingModes = EncodingModes.Mode2
        Select Case cbEncoding.SelectedIndex
            Case 0
                encodingMode = EncodingModes.Mode2
            Case 1
                encodingMode = EncodingModes.Mode3
            Case 2
                encodingMode = EncodingModes.Mode4
            Case 3
                encodingMode = EncodingModes.Mode5
            Case 4
                encodingMode = EncodingModes.Mode6
        End Select


        Dim MaxiCode As New MaxiCode()
        Dim raster() As Byte
        Dim vector As String = ""
        Dim encodedText As String = ""

        webCode.Visible = False
        picCode.Visible = False
        lblCode.Visible = False

        If (cmbOutput.SelectedIndex <= 1) Then
            encodedText = MaxiCode.EncodeMaxiCode(dataToEncode, applyTilde, encodingMode, vbCrLf)
            If (cmbOutput.SelectedIndex = 0) Then
                lblCode.Font = New System.Drawing.Font("Courier New", 8.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 0)
            Else
                lblCode.Font = New System.Drawing.Font("IDAutomation Maxicode", 14.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 0)
            End If
            lblCode.Text = encodedText
            lblCode.Visible = True
        ElseIf (cmbOutput.SelectedIndex = 2) Then '' BMP raster image output

            raster = MaxiCode.EncodeMaxiCode(dataToEncode, applyTilde, encodingMode, QuietZone, DotPM)
            picCode.AutoSize = True

            Dim mStream As MemoryStream = New MemoryStream(raster)
            Dim img1 As Image = Image.FromStream(mStream)
            picCode.Image = img1

            '' code to produce a PNG Or a GIF Or other formats
            '' **************************************************
            ''MemoryStream mStream1 = New MemoryStream(raster);
            ''Image img1 = Image.FromStream(mStream1);

            ''MemoryStream mStream2 = New MemoryStream();
            ''/if ( __PNG__ ) // PNG
            ''    img1.Save(mStream2, ImageFormat.Png);
            ''else if ( __GIF__ ) // GIF
            ''    img1.Save(mStream2, ImageFormat.Gif);

            ''raster = mStream2.ToArray();
            ''**************************************************
            picCode.Visible = True
            If (chkSaveGraphic.Checked) Then File.WriteAllBytes("IDAutomation_MaxiCode.BMP", raster)

        ElseIf (cmbOutput.SelectedIndex = 3) Then
            vector = MaxiCode.EncodeMaxiCode(dataToEncode, applyTilde, encodingMode, VectorTypes.VecSVG, vbCrLf, QuietZone, DotPM)
            webCode.DocumentText = vector
            webCode.Visible = True
            If (chkSaveGraphic.Checked) Then File.WriteAllText("IDAutomation_MaxiCode.SVG", vector)

        ElseIf (cmbOutput.SelectedIndex = 4) Then
            vector = MaxiCode.EncodeMaxiCode(dataToEncode, applyTilde, encodingMode, VectorTypes.VecHTML, vbCrLf, QuietZone, DotPM)
            webCode.DocumentText = vector
            webCode.Visible = True
            If (chkSaveGraphic.Checked) Then File.WriteAllText("IDAutomation_MaxiCode.HTML", vector)

        ElseIf (cmbOutput.SelectedIndex = 5) Then
            vector = MaxiCode.EncodeMaxiCode(dataToEncode, applyTilde, encodingMode, VectorTypes.VecEPS, vbCrLf, QuietZone, DotPM)
            If (chkSaveGraphic.Checked) Then File.WriteAllText("IDAutomation_MaxiCode.EPS", vector)

        End If

    End Sub

    Private Sub cmbOutput_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cmbOutput.SelectedIndexChanged
        txtQuietZone.Enabled = (cmbOutput.SelectedIndex >= 2)
        chkSaveGraphic.Enabled = (cmbOutput.SelectedIndex >= 2)
        cmbDotpMM.Enabled = (cmbOutput.SelectedIndex >= 2)
    End Sub


End Class